# User Kevin Bosman <kevin@gosh.co.za>
# Date 1335659040 -7200
# Node ID 2a01a229e092d900eafe83ca817a90212207c7a1
# Parent  0feea2215917fa20d52bdce6b28a29de4d18ce9d
fix for running on Windows with spaces in paths

diff --git a/framework/build.bat b/framework/build.bat
--- a/framework/build.bat
+++ b/framework/build.bat
@@ -1,10 +1,16 @@
 @echo off
 
+setlocal enabledelayedexpansion
+
 set PLAY_VERSION="2.1-SNAPSHOT"
 
 if defined JPDA_PORT set DEBUG_PARAM="-Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=%JPDA_PORT%"
 
 set p=%~dp0
 set p=%p:\=/%
+set fp=file:///!p: =%%20!
 
-java -Xms512M -Xmx1024M -Xss1M -XX:+CMSClassUnloadingEnabled -XX:MaxPermSize=256M %DEBUG_PARAM% %JAVA_OPTS% -Dfile.encoding=UTF-8 -Dplay.version="%PLAY_VERSION%" -Dsbt.ivy.home="%~dp0..\repository" -Dplay.home="%~dp0." -Dsbt.boot.properties="file:///%p%sbt/sbt.boot.properties" -jar "%~dp0sbt\sbt-launch.jar" %*
+java -Xms512M -Xmx1024M -Xss1M -XX:+CMSClassUnloadingEnabled -XX:MaxPermSize=256M %DEBUG_PARAM% %JAVA_OPTS% -Dfile.encoding=UTF-8 -Dplay.version="%PLAY_VERSION%" -Dsbt.ivy.home="%~dp0..\repository" -Dplay.home="%~dp0." -Dsbt.boot.properties="%fp%sbt/sbt.boot.properties" -jar "%~dp0sbt\sbt-launch.jar" %*
+
+:end
+endlocal
diff --git a/play.bat b/play.bat
--- a/play.bat
+++ b/play.bat
@@ -1,17 +1,18 @@
 :begin
 @echo off
 
-setlocal
+setlocal enabledelayedexpansion
 
 set p=%~dp0
 set p=%p:\=/%
-set buildScript=%~dp0framework\build.bat
+set fp=file:///!p: =%%20!
+set buildScript="%~dp0framework\build.bat"
 set additionalArgs=%*
 
 if exist "conf\application.conf" goto existingApplication
 
 :noApplication
-java -Dsbt.ivy.home=%~dp0repository -Dplay.home=%~dp0framework -Dsbt.boot.properties="file:///%p%framework/sbt/play.boot.properties" -jar %~dp0framework\sbt\sbt-launch.jar %*
+java -Dsbt.ivy.home="%~dp0repository" -Dplay.home="%~dp0framework" -Dsbt.boot.properties="%fp%framework/sbt/play.boot.properties" -jar "%~dp0framework\sbt\sbt-launch.jar" %*
 
 goto end
 
@@ -57,4 +58,4 @@
 echo [info] Done!
 
 :end
-endlocal
\ No newline at end of file
+endlocal

